This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 176640 - file can't handle UTF-8 filenames with -f
file can't handle UTF-8 filenames with -f
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: file (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
Mike McLean
:
Depends On:
Blocks: 187538
  Show dependency treegraph
 
Reported: 2005-12-28 05:02 EST by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2006-0340
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-17 15:39:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
test script (449 bytes, text/plain)
2005-12-28 05:02 EST, Bastien Nocera
no flags Details
file-utf8-file-read-option.patch (330 bytes, patch)
2005-12-28 05:04 EST, Bastien Nocera
no flags Details | Diff

  None (edit)
Description Bastien Nocera 2005-12-28 05:02:31 EST
1. cat /tmp/file.list
/tmp/¥µÅЅҵӕ严弥漥
2. file -f /tmp/file.list
/tmp/¥µÅЅҵӕ严弥漥: cannot
open(/tmp/\302\245\302\265\303\205\320\205\322\265\323\225)
Comment 1 Bastien Nocera 2005-12-28 05:02:32 EST
Created attachment 122609 [details]
test script
Comment 2 Bastien Nocera 2005-12-28 05:04:05 EST
Created attachment 122610 [details]
file-utf8-file-read-option.patch
Comment 12 Red Hat Bugzilla 2006-05-17 15:39:49 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0340.html

Note You need to log in before you can comment on or make changes to this bug.